# -*- encoding : utf-8 -*-

class Admin::FournisseurProductRefsController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "default"
  end
  
  def index
    @fournisseur_product_refs = FournisseurProductRef.order(:name).all

  end

  def show
    @fournisseur_product_ref = FournisseurProductRef.find(params[:id])

  end

  def new
    @fournisseur_product_ref = FournisseurProductRef.new
  
  end

  def edit
    @fournisseur_product_ref = FournisseurProductRef.find(params[:id])
    
  end

  def create
    @fournisseur_product_ref = FournisseurProductRef.new(params.require(:fournisseur_product_ref).permit!)

    if @fournisseur_product_ref.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @fournisseur_product_ref = FournisseurProductRef.find(params[:id])


    if @fournisseur_product_ref.update_attributes(params.require(:fournisseur_product_ref).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @fournisseur_product_ref = FournisseurProductRef.find(params[:id])
    @fournisseur_product_ref.destroy
    
  end
end
